Skip to main content
Fetch a single element from a graph session object by id.

POST /revisions/:id/data/query (Command: get_session_graph_element)

Request Body

ParameterTypeRequiredDescription
enginestringYesMust be workflow_blobhub.
commandstringYesMust be get_session_graph_element.
session_idstringYesThe ID of the session that owns the graph envelope.
aliasstringYesAlias of the graph session object.
element_idstringYesThe id of the vertex or edge to retrieve.

Response

ParameterTypeDescription
elementobjectThe retrieved vertex or edge.

Errors

  • invalid_graph_envelope — the alias does not exist or its value.type is not "graph".
  • not_found (404) — no element with that element_id exists in the graph.

Example

{
  "engine": "workflow_blobhub",
  "command": "get_session_graph_element",
  "session_id": "sess_001",
  "alias": "task_graph",
  "element_id": "task:1"
}

See also